<template>
  <div v-if="display">
    <vciWebReferTree v-if="refertype=='tree'" @setValue="setValue" :value="value" :text="text" :title="title" :disabled="disabled" :referConfig="referConfig"></vciWebReferTree>
    <vciWebReferTable v-else-if="refertype=='table'" @setValue="setValue" :value="value" :text="text" :title="title" :disabled="disabled" :referConfig="referConfig"></vciWebReferTable>
    <vciWebReferDefalut v-else  @setValue="setValue" :value="value" :text="text" :title="title" :disabled="disabled" :referConfig="referConfig"></vciWebReferDefalut>

  </div>
</template>

<script>
import vciWebReferTree from "./vciWebReferTree.vue";
import vciWebReferTable from "./vciWebReferTable.vue";
import vciWebReferDefalut from "./vciWebReferDefalut.vue";
export default {
  name: "vciWebRefer",
  props: ["referConfig","value","text","disabled","display"],
  components: {vciWebReferTree, vciWebReferTable, vciWebReferDefalut},
  data() {
    return {
      refertype: this.referConfig.options.type,
      emitData:{},
      title:''
    };
  },
  created() {},
  mounted() {
    var title = this.referConfig.title || '';
    title = title.replace(":", "");
    title = title ? ('为【' + title + '】选取值') : ('为【' + this.referConfig.showField + '】选取值');
    this.title=title;
  },
  methods: {
    setValue(value) {
      this.emitData = value;
    }
  },
  watch:{
    // 修改反馈到父组件
    emitData: {
      deep: true,
      immediate: true,
      handler(newV) {
        this.$emit("setReferValue", newV);
      },
    }
  }
}
</script>

<style scoped>

</style>
